#  Copyright (C) 2006-2007 by Sergio Pistone
#  sergio_pistone@yahoo.com.ar
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the
#  Free Software Foundation, Inc.,
#  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

module Logging

	def Logging.reset( log_file )
		output = File.new( log_file, File::CREAT|File::TRUNC )
		output.close()
	end

	def Logging.log( log_file, msg, new_lines=1 )
		output = File.new( log_file, File::CREAT|File::APPEND|File::WRONLY )
		output.write( msg )
		new_lines.times() { output.write( "\n" ) }
		output.close()
	end

end
